%define tallocmajor 2
%define libtalloc %mklibname talloc %{tallocmajor}
%define tallocdevel %mklibname -d talloc
%define libpytalloc %mklibname pytalloc-util 2
%define libpytallocdevel %mklibname -d pytalloc-util

%define oversion 2.1.9

Name: talloc
Version: 3.6.0
Release: %mkrel 1
URL: http://talloc.samba.org
Source: http://talloc.samba.org/ftp/talloc/talloc-%{oversion}.tar.xz
Source2: samba-bugs.asc
License: GPLv3
Summary: Library implementing Samba's memory allocator
Group: System/Libraries
BuildRequires: acl-devel 
BuildRequires: xsltproc 
BuildRequires: docbook-style-xsl
BuildRequires: python-devel 
BuildRequires: gnupg

%description
Library implementing Samba's memory allocator

%package -n %{libtalloc}
Group: System/Libraries
Summary: Library implementing Samba's memory allocator

%description -n %{libtalloc}
Library implementing Samba's memory allocator

%package -n %{tallocdevel}
Group: Development/Libraries
Summary: Library implementing Samba's memory allocator
Provides: talloc-devel = %{version}-%{release}
Requires: %{libtalloc} = %{version}-%{release}
BuildRequires: swig

%description -n %{tallocdevel}
Library implementing Samba's memory allocator

%package -n python-talloc
Group: Development/Python
Summary: Python module for Samba's talloc memory allocator

%description -n python-talloc
Python module for Samba's talloc memory allocator

%package -n %{libpytalloc}
Group: System/Libraries
Summary: Utility functions for using talloc objects with Python

%description -n %{libpytalloc}
Utility functions for using talloc objects with Python

%package -n %{libpytallocdevel}
Group: Development/Libraries
Summary: Utility functions for using talloc objects with Python
Requires: %{libpytalloc} = %{version}
Provides: pytalloc-util-devel = %{version}-%{release}

%description -n %{libpytallocdevel}
Utility functions for using talloc objects with Python

%prep
%setup -qn %{name}-%{oversion}

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%files -n %{libtalloc}
%{_libdir}/libtalloc.so.%{tallocmajor}*

%files -n %{tallocdevel}
%{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc*

%files -n python-talloc
%{py_platsitedir}/talloc.so

%files -n %{libpytalloc}
%{_libdir}/libpytalloc-util.so.2*

%files -n %{libpytallocdevel}
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.so
%{_libdir}/pkgconfig/pytalloc-util.pc


%changelog
* Mon Apr 17 2017 bb2 <bb2> 3.6.0-1pclos2017
- new version 3.6.0 acutal version 2.1.9 to
- make it upgrade over existin 3.5.9 without
- resorting to using epoch
